using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.IO.CrazycatStreamReader;

namespace skyscraper5.src.Skyscraper.FrequencyListGenerator
{
	public interface IDbBlindscanJobStorage
	{
		void InsertBlindscanJob(DbBlindscanJob jobInDb);
		void UpdateJobState(DbBlindscanJob jobInDb);
		void InsertSearchResult(DbBlindscanJob jobInDb, bool satellite, SearchResult searchResult, int polarityIndex, SearchResult2 searchResult2);
		void UpdateTransponderState(DbBlindscanJob jobInDb, bool satellite, SearchResult searchResult, BlindscanResultState blindscanResultState, SearchResult2 searchResult2);
		void InsertTransponderService(DbBlindscanJob jobInDb, bool resultSatellite, SearchResult resultSr1, SearchResult2 resultSr2, HumanReadableService humanReadableService);
		bool TestForIncompleteJob();

		DbBlindscanJob GetPastBlindscanJob(long offset);

		void DeleteBlindscanJob(Guid guid);
		void DeleteBlindscanResults(Guid jobGuid, int i);
		void MoveBlScanResultsToAnotherJob(Guid jobGuid1, Guid jobGuid2, int j);
	}
}
